bdi4jade.plan

## Enum PlanInstance.EndState

- java.lang.Object
- - java.lang.Enum<PlanInstance.EndState>
  - - bdi4jade.plan.PlanInstance.EndState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PlanInstance.EndState>
  Enclosing class:
    PlanInstance

      public static enum PlanInstance.EndState
      extends java.lang.Enum<PlanInstance.EndState>

  This enumuration represents the possible end states of a plan execution.
  Author:
    ingrid

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED`
    `SUCCESSFUL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PlanInstance.EndState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PlanInstance.EndState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final PlanInstance.EndState FAILED

    - #### SUCCESSFUL

          public static final PlanInstance.EndState SUCCESSFUL

  - ### Method Detail

    - #### values

          public static PlanInstance.EndState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlanInstance.EndState c : PlanInstance.EndState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlanInstance.EndState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null